%global debug_package %{nil}

Name: kibi
Version: 0.2.2
Release: 1%{?dist}
Summary: Text editor in ≤1024 lines of code, written in Rust

License: ASL 2.0 and MIT
URL: https://github.com/ilai-deutel/kibi
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: cargo >= 1.39.0
BuildRequires: rust >= 1.39.0

%description
A configurable text editor with UTF-8 support, incremental search, syntax
highlighting, line numbers and more, written in less than 1024 lines1 of Rust
with minimal dependencies.


%prep
%autosetup -n %{name}-%{version} -p1


%install
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3
cargo install --root=%{buildroot}%{_prefix} --path=.
rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE-APACHE LICENSE-MIT COPYRIGHT config_example.ini
%doc README.md CHANGELOG.md
%{_bindir}/*


%changelog
* Sun Feb 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.2-1
- build(update): 0.2.2

* Tue Oct 20 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.1-1
- build(update): 0.2.1

* Fri Apr 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.0-1
- Update to 0.2.0

* Fri Apr 10 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.2-1
- Initial package
